fs1=10; fs2=40;
tmin=0; tmax=4; dt=1/1000;
n1 = tmin:1/fs1:tmax; n2 = tmin:1/fs2:tmax;
x_n1 = cos(2*pi*n1); x_n2 = cos(2*pi*n2);
t = tmin:dt:tmax; 
x_t = cos(2*pi*t);
subplot(211);
plot(t,x_t,'r-');
axis([tmin tmax -1.2 1.2]);
hold;
stairs(n1,x_n1);
xlabel('t');
title('Reconstruction Signal by zero-order hold: fs = 10 Hz');
subplot(212);
plot(t,x_t,'r-');
axis([tmin tmax -1.2 1.2]);
hold;
stairs(n2,x_n2);
xlabel('t');
title('Reconstruction Signal by zero-order hold: fs = 40 Hz');
