d_d = round(rand(1, 10^4));
n = length(d_d); Tb = 1; Nc = 15; 
fc = 4/Tb*Nc; fs = 4*fc; Ns = fs/Tb; 
t = 0:1/fs:n*Tb; b_t = zeros(1, length(t));
for i = 1:n
if d_d(i)
b_t((1:Ns)+Ns*(i-1)) = 1;
end
end
b_t = b_t * 2 - 1;
pn = round(rand(1, n*Nc)); pn_t = zeros(1, length(t));
for i = 1:n*Nc
if pn(i)
pn_t((1:Ns/Nc)+Ns/Nc*(i-1)) = 1;
end
end
pn_t= pn_t * 2 - 1; spr_t = b_t .* pn_t;
mod_t = spr_t .* (sqrt(2)/sqrt(Tb)).* sin(2*pi*fc.*t);
N = 2^(nextpow2(length(b_t)));
B_S = fft(b_t, N)/fs; SPR_S = fft(spr_t, N)/fs;
df = fs/N; f = (0:df:df*(N-1)) -fs/2;
subplot(211);
semilogy(f, fftshift(abs(B_S)))
axis([-5, 5, 1e-2,1e3])
title('Baseband spectrum signal');
subplot(212);
semilogy(f, fftshift(abs(SPR_S)))
axis([-5, 5, 1e-2,1e3])
xlabel('Frequency');
title('Spread-spectrum modulation spectrum signal');






